﻿using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;

using PTCMS.API.Domain.Repositories;
using PTCMS.API.Infrastructure.Dtos;

namespace PTCMS.API.Controllers
{
    /// <summary>
    /// 证书查询服务接口
    /// </summary>
    [Route("api/[controller]/[action]")]
    [ApiController]
    public class CertificateController : ControllerBase
    {
        private readonly ICertificateRepository _certificateRepository;

        /// <summary>
        /// 注入服务
        /// </summary>
        /// <param name="certificateRepository"></param>
        public CertificateController(ICertificateRepository certificateRepository)
        {
            _certificateRepository = certificateRepository;
        }

        /// <summary>
        /// 根据姓名+身份证号或者姓名+证书编码进行查询
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        [HttpPost]
        public async Task<IActionResult> GetCertificateAsync(CertificateSearchDto input)
        {
            var data = await _certificateRepository.GetCertificateAsync(input);

            return Ok(data);
        }
    }
}
